Skip to main content
POST
Create a new user

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Body

application/json
user_name
string
required

Unique identifier for the new user. Stored in lower case

first_name
string
required

User's first name - used for display purposes

last_name
string
required

User's last name - used for display purposes

email
string
required

User's email address (must be unique within your organisation) - used for email notifications

type
string

Type of user. One of Client, Contractor, Customer, Director, Employee, Lead, Member, Parent, Partner, Practitioner, Prospect, Staff, Student, Subscriber, Supporter, Volunteer, Worker. Case-insensitive. Defaults to Staff

manager_email
string

Email address of the user's manager - used for email notifications and team reporting

manager_2_email
string

Email address of the user's 2nd manager - used for email notifications and team reporting

manager_3_email
string

Email address of the user's 3rd manager - used for email notifications and team reporting

manager_4_email
string

Email address of the user's 4th manager - used for email notifications and team reporting

manager_5_email
string

Email address of the user's 5th manager - used for email notifications and team reporting

mentor_email
string

Email address of the user's mentor - used for email notifications

language
string

One of en, fj, fr, de, hi-IN, id, it, ja, ko, mi, ms, ne, pa-IN, pt, sm, zh-Hans, es, tl, ta, te, th, to, zh-Hant-HK, vi. Case-insensitive. Unrecognised values are ignored

timezone
string

User's time zone, eg Australia/Sydney. Defaults to your organisation's time zone

lms_learner_id
string

User's id in company LMS - used for matching users in Tribal Habits. The combination of lms_reference and lms_learner_id must be unique

lms_reference
string

Company LMS name - used for matching users in Tribal Habits

login
enum<string>

internal (Tribal Habits login) or external (single sign-on)

Available options:
internal,
external
active
boolean

Specify false to create the user account but disable login

creator
boolean

Specify true to allow this user to create topics

user_notifications_enabled
boolean

User will receive email notifications

force_pwd_reset_next_login
boolean

User must change their password at next login

manager_email_report_1st_month
boolean

Send the manager email report on the 1st of the month

manager_email_report_15th_month
boolean

Send the manager email report on the 15th of the month

password
string

8 to 72 characters, with at least one number, one upper case and one lower case character

deactivate_scheduled_date
string

A future date this account will be deactivated. Formats: 'yyyy-mm-dd', 'dd/mm/yyyy' or 'dd/mm/yy'

reactivate_scheduled_date
string

A future date this account will be reactivated. Same formats as deactivate_scheduled_date

team_leader_report_frequency
string

Frequency of team leader report emails, if the user is a team leader. One of every_half, every_quarter, once_a_month, twice_a_month, every_monday, every_tuesday, every_wednesday, every_thursday, every_friday, every_weekday, every_day. none or an empty value clears it. Any other value returns 400

learner_report_frequency
string

Frequency of learner report emails. Same values as team_leader_report_frequency

assessor_report_frequency
string

Frequency of assessor report emails, if the user is an assessor or creator. Same values as team_leader_report_frequency

default_landing_page
string

One of Assess, Create, Admin, Dashboard - Overview, Dashboard - Calendar, Training - Enrolments, Profile. Case-insensitive. Unrecognised values are ignored

role_1
string

Name of the role assigned to the user in position 1. The role must already exist, otherwise 400 is returned. An empty value removes the role in that position

role_2
string

Name of the role assigned to the user in position 2. The role must already exist, otherwise 400 is returned. An empty value removes the role in that position

role_3
string

Name of the role assigned to the user in position 3. The role must already exist, otherwise 400 is returned. An empty value removes the role in that position

role_4
string

Name of the role assigned to the user in position 4. The role must already exist, otherwise 400 is returned. An empty value removes the role in that position

role_5
string

Name of the role assigned to the user in position 5. The role must already exist, otherwise 400 is returned. An empty value removes the role in that position

groups

Group names separated with a semicolon, eg "groups": "Brisbane;Bundaberg", or an array of group names, eg "groups": ["Brisbane", "Bundaberg"]. Groups must already exist, otherwise 400 is returned. Replaces all of the user's current groups; an empty value removes the user from all groups

goals

Goal names separated with a semicolon, eg "goals": "Goal1;Goal2", or an array of goal names, eg "goals": ["Goal1", "Goal2"]. Replaces all of the user's current goals. Goals must already exist, otherwise 400 is returned. An empty value removes all goals

X-[Custom]
any

Custom field. Replace [Custom] with the custom field name. See Custom fields

send_invitation
boolean

Specify true to send an invitation email to the user

Response

The user was created

The user object returned by the user endpoints. Custom fields are included as X- fields, see Custom fields.

user_name
string

Unique identifier of the user. Always stored and returned in lower case

first_name
string

User's first name

last_name
string

User's last name

email
string

User's email address

manager_email
string | null

Email address of the user's manager. null if not set

manager_2_email
string | null

Email address of the user's 2nd manager. null if not set

manager_3_email
string | null

Email address of the user's 3rd manager. null if not set

manager_4_email
string | null

Email address of the user's 4th manager. null if not set

manager_5_email
string | null

Email address of the user's 5th manager. null if not set

mentor_email
string

Email address of the user's mentor

lms_learner_id
string

User's identifier in your company LMS

lms_reference
string

User's LMS name in your company LMS

org_admin
boolean

true if the user is an administrator

creator
boolean

true if the user can create topics

team_leader
boolean

true if the user is the manager of at least one other user (derived from other users' manager emails)

created_at
string<date-time>

Timestamp

updated_at
string<date-time>

Timestamp

current_sign_in_at
string<date-time> | null

Timestamp. null if the user has never signed in

admin_type
integer | null

Administrator type as a number: 0 = super, 1 = standard, 2 = knowledge, 3 = reporting, 4 = instructor, 5 = restricted, 6 = observer, 7 = people, 8 = library. null if not an administrator

deactivate_scheduled_date
string<date-time> | null

Timestamp of the date on which the account is scheduled to be deactivated, or null

reactivate_scheduled_date
string<date-time> | null

Timestamp of the date on which the account is scheduled to be reactivated, or null

language
string

Language code, eg en

created_by
string

How the user was created, eg API

timezone
string

User's time zone, eg Australia/Sydney

user_notifications_enabled
boolean

true if the user receives email notifications

team_leader_report_frequency
string | null

Team leader report email frequency. See Update a specific user for values

learner_report_frequency
string | null

Learner report email frequency. See Update a specific user for values

assessor_report_frequency
string | null

Assessor report email frequency. See Update a specific user for values

default_landing_page
string

Page shown after login, or Default

org_admin_access
string

Name of the administrator type (see admin_type), or none

login
enum<string>

internal or external

Available options:
internal,
external
type
string

Type of user, eg Staff, Client

active
boolean

false if the account has been deactivated

X-[Custom]
any

Custom fields. See Custom fields

platform_champion
boolean

true if the user is a platform champion for your organisation

role_1
string | null

Name of the role in position 1, or null

role_2
string | null

Name of the role in position 2, or null

role_3
string | null

Name of the role in position 3, or null

role_4
string | null

Name of the role in position 4, or null

role_5
string | null

Name of the role in position 5, or null

groups
string

Group names, sorted and separated by semicolons

goals
string

Goal names, sorted and separated by semicolons